Subject: Re: What's cooking in git.git (May 2026, #01)

From: Phillip Wood <[email-masked]>
Date: Mon, 4 May 2026 14:16:44 +0100

On 03/05/2026 04:47, Junio C Hamano wrote:
> 
> * rs/grep-column-only-match-fix (2026-04-24) 1 commit
>   - grep: fix --column --only-match for 2nd and later matches
> 
>   "git grep" update.
> 
>   Will merge to 'next'?
 >   source: <[email-masked]>

I've just read this patch and it looked good. It is surprising no one 
has complained about the strange column numbers before

> * hn/git-checkout-m-with-stash (2026-04-28) 5 commits
>   - checkout -m: autostash when switching branches
>   - checkout: rollback lock on early returns in merge_working_tree
>   - sequencer: teach autostash apply to take optional conflict marker labels
>   - sequencer: allow create_autostash to run silently
>   - stash: add --label-ours, --label-theirs, --label-base for apply
> 
>   "git checkout -m another-branch" was invented to deal with local
>   changes to paths that are different between the current and the new
>   branch, but it gave only one chance to resolve conflicts.  The command
>   was taught to create a stash to save the local changes.
> 
>   Will merge to 'next'?
 >   source: <[email-masked]>

I'm happy with the latest re-roll - this looks ready to me

> * pw/xdiff-shrink-memory-consumption (2026-04-02) 4 commits
>   . xdiff: reduce the size of array
>   . xprepare: simplify error handling
>   . xdiff: cleanup xdl_clean_mmatch()
>   . xdiff: reduce size of action arrays
> 
>   Shrink wasted memory in Myers diff that does not account for common
>   prefix and suffix removal.
> 
>   Needs to be rebased on updated en/xdiff-cleanup-3.

Will do

> * en/xdiff-cleanup-3 (2026-04-29) 6 commits
>   - xdiff/xdl_cleanup_records: make execution of action easier to follow
>   - xdiff/xdl_cleanup_records: make setting action easier to follow
>   - xdiff/xdl_cleanup_records: make limits more clear
>   - xdiff/xdl_cleanup_records: use unambiguous types
>   - xdiff: use unambiguous types in xdl_bogo_sqrt()
>   - xdiff/xdl_cleanup_records: delete local recs pointer
> 
>   Preparation of the xdiff/ codebase to work with Rust.
> 
>   Will merge to 'next'?

Yes, I think this is ready as well

Thanks

Phillip